%define	name	modplug-xmms
%define	version	2.0
%define release 1mdk
%define libname libmodplug
%define major 0

Name:		%{name}
Summary:	Modplug Plugin for XMMS
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		Sound
URL:		http://modplug-xmms.sourceforge.net/
Source:		modplugxmms-%{version}.tar.bz2
Patch: 		modplugxmms-libversion.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	xmms >= 1.0.0
BuildPrereq:	libxmms1-devel
BuildConflicts: modplug-xmms < 2.0

%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which
plays mod-like music formats. It is based on the mod rendering code from
ModPlug, a popular windows mod player written by Olivier Lapicque,
found at http://www.modplug.com

%package -n %{libname}%{major}
Group:		System/Libraries
Summary:	Modplug shared library

%description -n %{libname}%{major}
This is the shared library part of the Modplug music player.

%package -n %{libname}%{major}-devel
Group:		Development/C++
Summary:	Header files for compiling against Modplug library.
Provides:	%{libname}-devel = %version
Requires:	%{libname}%{major} = %version

%description -n %{libname}%{major}-devel
This is the development package of libmodplug. Install it if you want to 
compile programs using this library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n modplugxmms-%{version}
%patch 

%build
automake
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}%{major} -p /sbin/ldconfig

%postun -n %{libname}%{major} -p /sbin/ldconfig

%files -n %{libname}%{major}
%defattr(-,root,root)
%doc libmodplug/README COPYING
%{_libdir}/libmodplug.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%doc libmodplug/changes.txt COPYING
%{_libdir}/libmodplug.la
%{_libdir}/libmodplug.so
%{_includedir}/modplug.h

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/xmms/Input/libmodplugxmms.so

%changelog
* Mon Oct 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0-1mdk
- split library package
- patched for creating versioned library libmodplug.so.0
- updated files section
- BuildConflicts older modplug-xmms
- 2.0
- changed License tag, now it's Public Domain

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-3mdk
- too fast

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-1mdk
- udpated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.5a

* Fri Jan 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- 1.5
- gcc 2.96 again
- make rpmlint happy by renaming spec file

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3a-1mdk
- uploaded to 1.3
- build with egcs

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-2mdk
- took contributed SRPM from Gtz Waschk <waschk@linux-mandrake.com>
- more macros

* Sun Jul 16 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- initial Mandrake release

